<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>👾 Exercice Ajax ! 👾</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Tangerine|Roboto">
    <!-- Faire sauter le cache serveur avec fausse requete GET -->
    <link rel="stylesheet" type="text/css" href="style.css?uid=<?= time(); ?>">
    <link rel="shortcut icon" href="images/favicon.ico" >
    <link rel="apple-touch-icon" href="images/apple-touch-icon.png" >
</head>
<body>
    <div class="container">
        <h1>👾 Exercice Ajax ! 👾</h1>
        
        <form id="form" class="bordeurh">
            <!-- (p>input[type=radio id=hey$ name=mesRadios value=hey$]+label[for=hey$]{hey$})*3 -->
            
            <!-- ~ table>tbody>(tr>td>input[type=radio id=hey$ name=mesRadios value=hey$]+td>label[for=hey$]{hey$})*3 -->
            <table>
                <tbody>
                    <tr>
                        <td><input type="radio" id="html" name="mesRadios" value="html" checked></td>
                        <td><label for="html">html</label></td>
                    </tr>
                    <tr>
                        <td><input type="radio" id="json" name="mesRadios" value="json"></td>
                        <td><label for="json">json</label></td>
                    </tr>
                    <tr>
                        <td><input type="radio" id="movies" name="mesRadios" value="movies"></td>
                        <td><label for="movies">movies</label></td>
                    </tr>
                    <tr>
                        <td><input type="radio" id="fake" name="mesRadios" value="fake"></td>
                        <td><label for="fake">Fake json / Quelques fausses photos / https://jsonplaceholder.typicode.com</label></td>
                    </tr>
                    <tr>
                        <td><input type="radio" id="meteo" name="mesRadios" value="meteo"></td>
                        <td><label for="meteo">Meteo OpenWeatherMap</label>, vous pouvez également choisir votre ville : <input type="text" id="choixVille" value="Paris"></td>
                    </tr>
                    <tr>
                        <td><input type="radio" id="fox" name="mesRadios" value="fox"></td>
                        <td><label for="fox">Renards choupis aléatoires / https://randomfox.ca/</label></td>
                    </tr>
                    <tr>
                        <td><input type="radio" id="rick" name="mesRadios" value="rick"></td>
                        <td><label for="rick">Perso de rick & morty aléatoire / https://rickandmortyapi.com/</label></td>
                    </tr>
                    <tr>
                        <td><input type="radio" id="pokaymon" name="mesRadios" value="pokaymon"></td>
                        <td><label for="pokaymon">Les pokemon de notre propre API / Ou un seul (enrtez l'id entre 1 et 151) <input type="text" id="choixPoke"> / Ou un pokemon au <button id="pokeHasard">hasard</button></label></td>
                    </tr>
                    <tr>
                        <td colspan="2"><input type="submit"></td>
                    </tr>
                </tbody>
            </table>

            
            
        </form>
        
        <div id="loaded-content" class="bordeurh">
            Les résultats seront chargés ici
        </div>

        <code id="code">
            // Yay du code !<br />
            console.log(`Hellow world !`);
        </code>
        
        <p class="small footeurh">Pour les couleurs, merci de vous plaindre <a href="https://www.palettable.io/1A1205-F74E9D-C04854-96C1AC" target="_blank">ici</a>.</p>
    </div>
    <script src="functions.js?uid=<?= time(); ?>"></script>
    <script src="index.js?uid=<?= time(); ?>"></script>
</body>
</html>