<?php
//// Création de notre propre API : Tests

// Trucs nécessaires
var_dump($_GET);

// Vérifier si une clé est présente dans le tableau
// https://www.php.net/manual/fr/function.array-key-exists.php

// echo json_encode($contactList);



//// Création de notre propre API : Pokedex
/// A renvoyer
// Tous les pokemons (par défaut)

// GET ?
// Un pokemon (par id, exo sup : par recherche)
// Un pokemon (aléatoire)
// Erreur (mauvais id)



// Liste des pokaymons
//      https://fr.vikidia.org/wiki/Liste_des_Pok%C3%A9mon_de_la_premi%C3%A8re_g%C3%A9n%C3%A9ration
//      Copier coller + multi curseurs ou rechercher remplacer

// Liste des images
//      http://www.poketips.fr/liste/
//      Ctrl + S > Fichiers




// pour les images, le nom correspond à l'id 
$pokemons = [
    [ 'id' => '001', 'name' => 'Bulbizarre', 'type' => 'Plante-Poison'],
    [ 'id' => '002', 'name' => 'Herbizarre', 'type' => 'Plante-Poison'],
    [ 'id' => '003', 'name' => 'Florizarre', 'type' => 'Plante-Poison'],
    [ 'id' => '004', 'name' => 'Salamèche', 'type' => 'Feu'],
    [ 'id' => '005', 'name' => 'Reptincel', 'type' => 'Feu'],
    [ 'id' => '006', 'name' => 'Dracaufeu', 'type' => 'Feu-Vol'],
    [ 'id' => '007', 'name' => 'Carapuce', 'type' => 'Eau'],
    [ 'id' => '008', 'name' => 'Carabaffe', 'type' => 'Eau'],
    [ 'id' => '009', 'name' => 'Tortank', 'type' => 'Eau'],
    [ 'id' => '010', 'name' => 'Chenipan', 'type' => 'Insecte'],
    [ 'id' => '011', 'name' => 'Chrysacier', 'type' => 'Insecte'],
    [ 'id' => '012', 'name' => 'Papilusion', 'type' => 'Insecte-Vol'],
    [ 'id' => '013', 'name' => 'Aspicot', 'type' => 'Insecte-Poison'],
    [ 'id' => '014', 'name' => 'Coconfort', 'type' => 'Insecte-Poison'],
    [ 'id' => '015', 'name' => 'Dardargnan', 'type' => 'Insecte-Poison'],
    [ 'id' => '016', 'name' => 'Roucool', 'type' => 'Normal-Vol'],
    [ 'id' => '017', 'name' => 'Roucoups', 'type' => 'Normal-Vol'],
    [ 'id' => '018', 'name' => 'Roucarnage', 'type' => 'Normal-Vol'],
    [ 'id' => '019', 'name' => 'Rattata', 'type' => 'Normal'],
    [ 'id' => '020', 'name' => 'Rattatac', 'type' => 'Normal'],
    [ 'id' => '021', 'name' => 'Piafabec', 'type' => 'Normal-Vol'],
    [ 'id' => '022', 'name' => 'Rapasdepic', 'type' => 'Normal-Vol'],
    [ 'id' => '023', 'name' => 'Abo', 'type' => 'Poison'],
    [ 'id' => '024', 'name' => 'Arbok', 'type' => 'Poison'],
    [ 'id' => '025', 'name' => 'Pikachu', 'type' => 'Électrique'],
    [ 'id' => '026', 'name' => 'Raichu', 'type' => 'Électrique'],
    [ 'id' => '027', 'name' => 'Sabelette', 'type' => 'Sol'],
    [ 'id' => '028', 'name' => 'Sablaireau', 'type' => 'Sol'],
    [ 'id' => '029', 'name' => 'Nidoran♀', 'type' => 'Poison'],
    [ 'id' => '030', 'name' => 'Nidorina', 'type' => 'Poison'],
    [ 'id' => '031', 'name' => 'Nidoqueen', 'type' => 'Poison'],
    [ 'id' => '032', 'name' => 'Nidoran♂', 'type' => 'Poison'],
    [ 'id' => '033', 'name' => 'Nidorino', 'type' => 'Poison'],
    [ 'id' => '034', 'name' => 'Nidoking', 'type' => 'Poison'],
    [ 'id' => '035', 'name' => 'Mélofée', 'type' => 'Fée'],
    [ 'id' => '036', 'name' => 'Mélodelfe', 'type' => 'Fée'],
    [ 'id' => '037', 'name' => 'Goupix', 'type' => 'Feu'],
    [ 'id' => '038', 'name' => 'Feunard', 'type' => 'Feu'],
    [ 'id' => '039', 'name' => 'Rondoudou', 'type' => 'Normal-Fée'],
    [ 'id' => '040', 'name' => 'Grodoudou', 'type' => 'Normal-Fée'],
    [ 'id' => '041', 'name' => 'Nosferapti', 'Vol'type' => -Poison'],
    [ 'id' => '042', 'name' => 'Nosferalto', 'Vol'type' => -Poison'],
    [ 'id' => '043', 'name' => 'Mystherbe', 'type' => 'Plante-Poison'],
    [ 'id' => '044', 'name' => 'Ortide', 'type' => 'Plante-Poison'],
    [ 'id' => '045', 'name' => 'Rafflesia', 'type' => 'Plante-Poison'],
    [ 'id' => '046', 'name' => 'Paras', 'Insecte'type' => -Plante'],
    [ 'id' => '047', 'name' => 'Parasect', 'Insecte'type' => -Plante'],
    [ 'id' => '048', 'name' => 'Mimitoss', 'type' => 'Insecte-Poison'],
    [ 'id' => '049', 'name' => 'Aéromite', 'type' => 'Insecte-Poison'],
    [ 'id' => '050', 'name' => 'Taupiqueur', 'type' => 'Sol'],
    [ 'id' => '051', 'name' => 'Triopikeur', 'type' => 'Sol'],
    [ 'id' => '052', 'name' => 'Miaouss', 'type' => 'Normal'],
    [ 'id' => '053', 'name' => 'Persian', 'type' => 'Normal'],
    [ 'id' => '054', 'name' => 'Psykokwak', 'type' => 'Eau'],
    [ 'id' => '055', 'name' => 'Akwakwak', 'type' => 'Eau'],
    [ 'id' => '056', 'name' => 'Férosinge', 'type' => 'Combat'],
    [ 'id' => '057', 'name' => 'Colossinge', 'type' => 'Combat'],
    [ 'id' => '058', 'name' => 'Caninos', 'type' => 'Feu'],
    [ 'id' => '059', 'name' => 'Arcanin', 'type' => 'Feu'],
    [ 'id' => '060', 'name' => 'Ptitard', 'type' => 'Eau'],
    [ 'id' => '061', 'name' => 'Têtarte', 'type' => 'Eau'],
    [ 'id' => '062', 'name' => 'Tartard', 'type' => 'Eau'],
    [ 'id' => '063', 'name' => 'Abra', 'type' => 'Psy'],
    [ 'id' => '064', 'name' => 'Kadabra', 'type' => 'Psy'],
    [ 'id' => '065', 'name' => 'Alakazam', 'type' => 'Psy'],
    [ 'id' => '066', 'name' => 'Machoc', 'type' => 'Combat'],
    [ 'id' => '067', 'name' => 'Machopeur', 'type' => 'Combat'],
    [ 'id' => '068', 'name' => 'Mackogneur', 'type' => 'Combat'],
    [ 'id' => '069', 'name' => 'Chétiflor', 'type' => 'Plante'],
    [ 'id' => '070', 'name' => 'Boustiflor', 'type' => 'Plante'],
    [ 'id' => '071', 'name' => 'Empiflor', 'type' => 'Plante'],
    [ 'id' => '072', 'name' => 'Tentacool', 'type' => 'Eau-Poison'],
    [ 'id' => '073', 'name' => 'Tentacruel', 'type' => 'Eau-Poison'],
    [ 'id' => '074', 'name' => 'Racaillou', 'type' => 'Sol-Roche'],
    [ 'id' => '075', 'name' => 'Gravalanch', 'type' => 'Sol-Roche'],
    [ 'id' => '076', 'name' => 'Grolem', 'type' => 'Sol-Roche'],
    [ 'id' => '077', 'name' => 'Ponyta', 'type' => 'Feu'],
    [ 'id' => '078', 'name' => 'Galopa', 'type' => 'Feu'],
    [ 'id' => '079', 'name' => 'Ramoloss', 'type' => 'Eau-Psy'],
    [ 'id' => '080', 'name' => 'Flagadoss', 'type' => 'Eau-Psy'],
    [ 'id' => '081', 'name' => 'Magnéti', 'type' => 'Électrique'],
    [ 'id' => '082', 'name' => 'Magneton', 'type' => 'Électrique'],
    [ 'id' => '083', 'name' => 'Canarticho', 'type' => 'Normal-Vol'],
    [ 'id' => '084', 'name' => 'Doduo', 'type' => 'Normal-Vol'],
    [ 'id' => '085', 'name' => 'Dodrio', 'type' => 'Normal-Vol'],
    [ 'id' => '086', 'name' => 'Otaria', 'type' => 'Eau'],
    [ 'id' => '087', 'name' => 'Lamantine', 'type' => 'Eau'],
    [ 'id' => '088', 'name' => 'Tadmorv', 'type' => 'Poison'],
    [ 'id' => '089', 'name' => 'Grotadmorv', 'type' => 'Poison'],
    [ 'id' => '090', 'name' => 'Kokiyas', 'type' => 'Eau'],
    [ 'id' => '091', 'name' => 'Crustabri', 'type' => 'Eau'],
    [ 'id' => '092', 'name' => 'Fantominus', 'type' => 'Spectre'],
    [ 'id' => '093', 'name' => 'Spectrum', 'type' => 'Spectre'],
    [ 'id' => '094', 'name' => 'Ectoplasma', 'type' => 'Spectre'],
    [ 'id' => '095', 'name' => 'Onix', 'type' => 'Sol-Roche'],
    [ 'id' => '096', 'name' => 'Soporifik', 'type' => 'Psy'],
    [ 'id' => '097', 'name' => 'Hypnomade', 'type' => 'Psy'],
    [ 'id' => '098', 'name' => 'Krabby', 'type' => 'Eau'],
    [ 'id' => '099', 'name' => 'Krabboss', 'type' => 'Eau'],
    [ 'id' => '100', 'name' => 'Voltorbe', 'type' => 'Électrique'],
    [ 'id' => '101', 'name' => 'Électrode', 'type' => 'Électrique'],
    [ 'id' => '102', 'name' => 'Noeunoeuf', 'type' => 'Plante'],
    [ 'id' => '103', 'name' => 'Noadkoko', 'type' => 'Plante'],
    [ 'id' => '104', 'name' => 'Osselait', 'type' => 'Sol'],
    [ 'id' => '105', 'name' => 'Ossatueur', 'type' => 'Sol'],
    [ 'id' => '106', 'name' => 'Kicklee', 'type' => 'Combat'],
    [ 'id' => '107', 'name' => 'Tygnon', 'type' => 'Combat'],
    [ 'id' => '108', 'name' => 'Excelangue', 'type' => 'Normal'],
    [ 'id' => '109', 'name' => 'Smogo', 'type' => 'Poison'],
    [ 'id' => '110', 'name' => 'Smogogo', 'type' => 'Poison'],
    [ 'id' => '111', 'name' => 'Rhinocorne', 'type' => 'Sol-Roche'],
    [ 'id' => '112', 'name' => 'Rhinoféros', 'type' => 'Sol-Roche'],
    [ 'id' => '113', 'name' => 'Leveinard', 'type' => 'Normal'],
    [ 'id' => '114', 'name' => 'Saquedeuneu', 'type' => 'Plante'],
    [ 'id' => '115', 'name' => 'Kangourex', 'type' => 'Normal'],
    [ 'id' => '116', 'name' => 'Hypotrempe', 'type' => 'Eau'],
    [ 'id' => '117', 'name' => 'Hypocéan', 'type' => 'Eau'],
    [ 'id' => '118', 'name' => 'Poissirène', 'type' => 'Eau'],
    [ 'id' => '119', 'name' => 'Poissoroy', 'type' => 'Eau'],
    [ 'id' => '120', 'name' => 'Stari', 'type' => 'Eau'],
    [ 'id' => '121', 'name' => 'Staross', 'type' => 'Eau-Psy'],
    [ 'id' => '122', 'name' => 'M. Mime', 'type' => 'Psy'],
    [ 'id' => '123', 'name' => 'Insécateur', 'type' => 'Insecte'],
    [ 'id' => '124', 'name' => 'Lippoutou', 'type' => 'Glace'],
    [ 'id' => '125', 'name' => 'Élektek', 'type' => 'Électrique'],
    [ 'id' => '126', 'name' => 'Magmar', 'type' => 'Feu'],
    [ 'id' => '127', 'name' => 'Scarabrute', 'type' => 'Insecte'],
    [ 'id' => '128', 'name' => 'Tauros', 'type' => 'Normal'],
    [ 'id' => '129', 'name' => 'Magicarpe', 'type' => 'Eau'],
    [ 'id' => '130', 'name' => 'Léviator', 'type' => 'Eau'],
    [ 'id' => '131', 'name' => 'Lokhlass', 'type' => 'Eau'],
    [ 'id' => '132', 'name' => 'Métarmoph', 'type' => 'Normal'],
    [ 'id' => '133', 'name' => 'Évoli', 'type' => 'Normal'],
    [ 'id' => '134', 'name' => 'Aquali', 'type' => 'Eau'],
    [ 'id' => '135', 'name' => 'Voltali', 'type' => 'Électrique'],
    [ 'id' => '136', 'name' => 'Pyroli', 'type' => 'Feu'],
    [ 'id' => '137', 'name' => 'Porygon', 'type' => 'Normal'],
    [ 'id' => '138', 'name' => 'Amonista', 'type' => 'Roche'],
    [ 'id' => '139', 'name' => 'Amonistar', 'type' => 'Roche'],
    [ 'id' => '140', 'name' => 'Kabuto', 'type' => 'Roche'],
    [ 'id' => '141', 'name' => 'Kaputops', 'type' => 'Roche'],
    [ 'id' => '142', 'name' => 'Ptéra', 'type' => 'Roche'],
    [ 'id' => '143', 'name' => 'Ronflex', 'type' => 'Normal'],
    [ 'id' => '144', 'name' => 'Artikodin', 'type' => 'Glace'],
    [ 'id' => '145', 'name' => 'Électhor', 'type' => 'Electrik'],
    [ 'id' => '146', 'name' => 'Sulfura', 'type' => 'Feu-Vol'],
    [ 'id' => '147', 'name' => 'Minidraco', 'type' => 'Dragon'],
    [ 'id' => '148', 'name' => 'Draco', 'type' => 'Dragon'],
    [ 'id' => '149', 'name' => 'Dracolosse', 'type' => 'Dragon'],
    [ 'id' => '150', 'name' => 'Mewtwo', 'type' => 'Psy'],
    [ 'id' => '151', 'name' => 'Mew', 'type' => 'Psy']
]